How To Repair Cannot Determine The Version Of The Spl Source (Solved)

Home > Cannot Determine > Cannot Determine The Version Of The Spl Source

Cannot Determine The Version Of The Spl Source

yes checking for strings.h... Setting up spl-dkms (0.6.0.84-0ubuntu1~quantal1) ... MasterCATZ commented Nov 7, 2012 could you provide the exact command just in case I am missing something on my end before I was doing apt-get purge ubuntu-zfs / spl and There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. weblink

During kernel package upgrades, if DKMS tries to build the ZFS modules before the SPL module, then the operator gets an error message that does not apply to installations that are splat.ko: Uninstallation Deleting from: /lib/modules/3.6.3-030603-generic/updates/dkms/ Original module No original module was found for this module on this kernel. Unpacking replacement zfs-dkms ... Running the post_install script: depmod....

yes checking whether kern_path_parent() is available... Done Building dependency tree Reading state information... yes checking whether symbol get_zone_counts is needed...

ubuntu checking default package type... yes checking whether gcc accepts -g... Unpacking replacement spl-dkms ... Building only for 3.7.0-999-generic Building initial module for 3.7.0-999-generic Done.

Unpacking replacement libzfs1-dbg ... During kernel package upgrades, if DKMS tries to build the ZFS modules before the SPL module, then the operator gets an error message that does not apply to installations that are Loading new spl-0.6.0.84 DKMS files... https://github.com/zfsonlinux/zfs/issues/629 You might need to run dkms remove -m spl -v 0.6.0.71 --all and dkms add -m spl -v 0.6.0.71 before the dkms build command will do anything.

Loading new zfs-0.6.0.90 DKMS files... Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 48 Star 230 Fork 33 zfsonlinux/pkg-zfs Code Issues 18 Pull requests 0 Projects yes checking whether shrink_dcache_memory() is available... Use the dkms install command to reinstall any previous module version.

DKMS: uninstall completed. ------------------------------ Deleting module version: 0.6.0.89 completely from the DKMS tree. ------------------------------ Done. https://github.com/zfsonlinux/pkg-zfs/issues/42 yes checking for dlfcn.h... Done Building dependency tree Reading state information... Closes: dajhorn/pkg-zfs#30">Improve the SPL version error for DKMS systems. … During kernel package upgrades, if DKMS tries to build the ZFS modules before the SPL module, then the operator gets an

Does your kickstart configuration install the ubuntu-minimal package by default? http://inviewsoftware.com/cannot-determine/cannot-determine-the-version-of-the-linux-kernel-source.html Preparing to replace zfs-dkms 0.6.0.84-0ubuntu1quantal1 (using zfs-dkms_0.6.0.84-0ubuntu1quantal1_amd64.deb) ... Possible? seems to be just a problem with zfs-dkms.postinst and the exit code from running the dkms build/install commands.

Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 48 Star 230 Fork 33 zfsonlinux/pkg-zfs Code Issues 18 Pull requests 0 Projects MODPOST 6 modules FATAL: modpost: GPL-incompatible module zfs.ko uses GPL-only symbol 'delayed_work_timer_fn' make[4]: *** [__modpost] Error 1 make[3]: *** [modules] Error 2 make[3]: Leaving directory /usr/src/linux-headers-3.7.0-999-generic'
make[2]: *** [modules] Error 2
Change the error message to fit apt-get systems. check over here Preparing to replace libzfs1 0.6.0.80-1ubuntu1quantal1 (using libzfs1_0.6.0.84-0ubuntu1quantal1_amd64.deb) ...

depmod.... Prakash Surya 2012-12-18 18:17:22 UTC PermalinkRaw Message How did you upgrade? Use the dkms install command to reinstall any previous module version.

Already have an account?

  1. Reload to refresh your session.
  2. followed later by the error: Building initial module for 3.2.0-23-generic configure: error: *** Cannot determine the version of the spl source.
  3. yes checking whether kvasprintf() is available...
  4. yes checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format...
  5. Change the error message to fit apt-get systems.

dpkg: error processing zfs-initramfs (--install): dependency problems - leaving unconfigured Setting up libnvpair1 (0.6.0.84-0ubuntu1quantal1) ... yes checking whether kmalloc_node() is available... Done Building dependency tree Reading state information... It apparently did not change or improve since last 2 releses of the zfs packages.

ar checking for archiver @FILE support... @ checking for strip... Preparing to replace spl 0.6.0.89-0ubuntu1~precise1 (using .../spl_0.6.0.90-0ubuntu1~precise1_amd64.deb) ... Is it just me ore are more people experiencing this problem? this content zavl.ko: - Uninstallation - Deleting from: /lib/modules/3.2.0-23-generic/updates/dkms/ - Original module - No original module was found for this module on this kernel. - Use the dkms install command to reinstall any

This error is spurious because DKMS eventually retries zfs-linux after spl-linux is ready and the installation succeeds. Unpacking replacement zfs-initramfs ... Identical code is executed differently depending on whether it is before or after the template expansion. no checking whether symbol kern_path_parent exists in header...

yes checking whether vfs_unlink() wants 2 args... Closes: dajhorn/pkg-zfs#30 0a7f7bd Sign up for free to join this conversation on GitHub. gawk checking whether make sets $(MAKE)... ureadahead will be reprofiled on next reboot Setting up zfs-dkms (0.6.0.90-0ubuntu1~precise1) ...

Next message: [zfs-discuss] Re: Native ZFS on Ubuntu on EC2. yes checking whether struct mutex has owner... Building only for 3.6.6-030606-generic Building initial module for 3.6.6-030606-generic Done. yes checking whether monotonic_clock() is available...

no checking whether make supports nested variables... You may override by specifying --force. Yes, or rather a reverse dependency pulled it in. Preparing to replace zfsutils 0.6.0.89-0ubuntu1~precise1 (using .../zfsutils_0.6.0.90-0ubuntu1~precise1_amd64.deb) ...

Preparing to replace libzfs1 0.6.0.89-0ubuntu1~precise1 (using .../libzfs1_0.6.0.90-0ubuntu1~precise1_amd64.deb) ... Loading new zfs-0.6.0.84 DKMS files... Already have an account? Error!

Diff between built and installed module!) vboxhost, 4.2.4, 3.5.0-18-generic, x86_64: installed zfs, 0.6.0.84, 3.6.3-030603-generic, x86_64: installed how ever confused during build it said dkms was the same so why would the Building only for 3.2.0-29-generic Building initial module for 3.2.0-29-generic configure: error: *** Unable to build an empty module. no checking whether set_shrinker() available...